Page MenuHomePhabricator

[EPIC] Account creation: LATAM test July 2021
Closed, ResolvedPublic

Description

Donors are a part of our community who have given to the Wikimedia movement financially. We believe that some of them have the potential to also give to the movement through contributing to the wikis.

After a fundraising campaign, donors are asked to fill out a survey about their donation experience. One of the questions asks if they would like to learn more about editing. So far, little has been done with those responses, and we want to try contacting those respondents via email to ask them to create accounts and start editing.

A fundraising campaign recently ran in Latin America, and we plan to test this idea in that context. In June/July 2021, we plan to send emails to those donors who said in the post-donation survey that they are interested in editing.

NOTE: the results of this test are posted here on Commons.

Event Timeline

Change 701169 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[operations/mediawiki-config@master] Enable GrowthExperiments donor landing page for testing

https://gerrit.wikimedia.org/r/701169

Change 701169 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable GrowthExperiments donor landing page for testing

https://gerrit.wikimedia.org/r/701169

Mentioned in SAL (#wikimedia-operations) [2021-06-23T19:10:00Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 6e0f5ad88cb7d99e3b4cf48bccb6e34cdcc64fa5: Enable GrowthExperiments donor landing page for testing (T284799) (duration: 01m 05s)

The patch added a new SpecialPage_initList hook, scap updated extension.json before the hook handler -> (we got 5000 fatals during the fraction of a second the patch was only partially deployed, then scap's error detection reverted the deployment).

So, the wmf.11 patch is deployed (Wikipedias are still on wmf.9 so there weren't any errors for the wmf.11 wikis), wmf.9 is reverted (that branch only has one more day to live so I think we can just leave it at that), the feature is enabled for campaign=growth-test-<anything>. Also there wasn't time for a full sync of wmf.11 so messages will be broken until Tuesday (or until we fix them manually).

wmf.9 is reverted (that branch only has one more day to live so I think we can just leave it at that),

The train was held up today (for unrelated reasons) so maybe not.

Change 701361 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 1

https://gerrit.wikimedia.org/r/701361

Change 701363 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 2

https://gerrit.wikimedia.org/r/701363

Change 701364 had a related patch set uploaded (by Gergő Tisza; author: Gergő Tisza):

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 3

https://gerrit.wikimedia.org/r/701364

Change 701361 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 1

https://gerrit.wikimedia.org/r/701361

Mentioned in SAL (#wikimedia-operations) [2021-06-24T11:34:41Z] <tgr@deploy1002> Synchronized php-1.37.0-wmf.9/extensions/GrowthExperiments: Backport: [[gerrit:701361|Re-apply "Add custom signup flow for donors", step 1 (T284799 T284740 T284800 T285281)]] (duration: 01m 06s)

Change 701363 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 2

https://gerrit.wikimedia.org/r/701363

Change 701364 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@wmf/1.37.0-wmf.9] Re-apply "Add custom signup flow for donors", step 3

https://gerrit.wikimedia.org/r/701364

Mentioned in SAL (#wikimedia-operations) [2021-06-24T12:08:28Z] <tgr@deploy1002> Synchronized php-1.37.0-wmf.9/extensions/GrowthExperiments: Backport: [[gerrit:701363|Re-apply "Add custom signup flow for donors", step 2 (T284799 T284740 T284800 T285281)]] (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2021-06-24T12:18:43Z] <tgr@deploy1002> Started scap: Backport: [[gerrit:701364|Re-apply "Add custom signup flow for donors", step 3 (T284799 T284740 T284800 T285281)]]

Mentioned in SAL (#wikimedia-operations) [2021-06-24T12:44:50Z] <tgr@deploy1002> Finished scap: Backport: [[gerrit:701364|Re-apply "Add custom signup flow for donors", step 3 (T284799 T284740 T284800 T285281)]] (duration: 26m 07s)

kostajh triaged this task as Medium priority.Jul 8 2021, 5:25 PM
kostajh claimed this task.
kostajh added a subscriber: DMburugu.

This seems to be done, for now, so I'm resolving but please re-open if you'd like @MMiller_WMF / @DMburugu

Do we want to remove the code?

Do we want to remove the code?

Good question. @MMiller_WMF @RHo do we need to keep the customized landing page around?

@Tgr @kostajh -- I never answered your question about removing the code. I expect that we will make many more customized landing pages in the future, though we may not reuse the exact landing pages we created for the first fundraising test. We are finished with that first test, and it would be okay if those landing pages went away. Given that, I leave it up to you whether the code can be removed.

I am also reopening this epic because I would like it to continue to be the home for future tests, one of which is now beginning.

MMiller_WMF renamed this task from [EPIC] Encourage donors to create accounts to [EPIC] Donors to newcomers: LATAM test July 2021.Oct 18 2021, 8:26 PM
MMiller_WMF closed this task as Resolved.

Actually I am going to nest it under a new epic.

MMiller_WMF renamed this task from [EPIC] Donors to newcomers: LATAM test July 2021 to [EPIC] Account creation: LATAM test July 2021.Feb 5 2022, 2:35 AM